'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.hydrateRoot = void 0;
const core_1 = require('@dark-engine/core');
const render_1 = require('../render');
const create_root_1 = require('../create-root');
function hydrateRoot(container, element) {
  (0, render_1.render)(element, container, hydrate);
  return {
    unmount: () => (0, create_root_1.unmount)(container),
  };
}
exports.hydrateRoot = hydrateRoot;
function hydrate() {
  const element = document.querySelector(`script[type="${core_1.STATE_SCRIPT_TYPE}"]`);
  if (!element) return;
  try {
    const resources = parse(element.textContent);
    const $scope = (0, core_1.$$scope)();
    for (const key of Object.keys(resources)) {
      $scope.setResource(Number(key), resources[key]);
    }
    element.remove();
  } catch (error) {
    throw Error('[Dark]: can not hydrate app state from the server!');
  }
}
const parse = x => JSON.parse(window.atob(x.replaceAll('"', '')));
//# sourceMappingURL=hydrate-root.js.map
