'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.detectIsPortal = exports.unmountPortal = exports.createPortal = void 0;
const core_1 = require('@dark-engine/core');
const $$portal = Symbol('portal');
function createPortal(slot, container) {
  if (process.env.NODE_ENV !== 'production') {
    if (!(container instanceof Element)) {
      throw new Error(`[Dark]: createPortal only gets an Element as container!`);
    }
  }
  return Portal({ container, slot });
}
exports.createPortal = createPortal;
const Portal = (0, core_1.component)(
  props => {
    const element = props.container;
    const fiber = (0, core_1.$$scope)().getCursorFiber();
    (0, core_1.useMemo)(() => (element.innerHTML = ''), []);
    fiber.element = element;
    props.container = null;
    return props.slot;
  },
  { token: $$portal },
);
const detectIsPortal = instance => (0, core_1.detectIsComponent)(instance) && instance.token === $$portal;
exports.detectIsPortal = detectIsPortal;
const getPortalContainer = fiber => (detectIsPortal(fiber.inst) ? fiber.element : null);
function unmountPortal(fiber) {
  const element = getPortalContainer(fiber);
  element && (element.innerHTML = '');
}
exports.unmountPortal = unmountPortal;
//# sourceMappingURL=portal.js.map
