'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.useStyle = void 0;
const core_1 = require('@dark-engine/core');
function styled(strings, ...args) {
  const style = (0, core_1.useMemo)(() => {
    const style = {};
    const items = strings
      .map((x, idx) => x + (!(0, core_1.detectIsUndefined)(args[idx]) ? args[idx] : ''))
      .join('')
      .split(';');
    for (const item of items) {
      const [key, value] = item.split(/:(?!\/\/)/);
      if (!value) continue;
      style[key.trim()] = value.trim();
    }
    return style;
  }, [strings, ...args]);
  return style;
}
function useStyle(config) {
  return config(styled);
}
exports.useStyle = useStyle;
//# sourceMappingURL=use-style.js.map
