import { component, useMemo, $$scope, detectIsComponent } from '@dark-engine/core';
const $$portal = Symbol('portal');
function createPortal(slot, container) {
  if (process.env.NODE_ENV !== 'production') {
    if (!(container instanceof Element)) {
      throw new Error(`[Dark]: createPortal only gets an Element as container!`);
    }
  }
  return Portal({ container, slot });
}
const Portal = component(
  props => {
    const element = props.container;
    const fiber = $$scope().getCursorFiber();
    useMemo(() => (element.innerHTML = ''), []);
    fiber.element = element;
    props.container = null;
    return props.slot;
  },
  { token: $$portal },
);
const detectIsPortal = instance => detectIsComponent(instance) && instance.token === $$portal;
const getPortalContainer = fiber => (detectIsPortal(fiber.inst) ? fiber.element : null);
function unmountPortal(fiber) {
  const element = getPortalContainer(fiber);
  element && (element.innerHTML = '');
}
export { createPortal, unmountPortal, detectIsPortal };
//# sourceMappingURL=portal.js.map
