import { useMemo, detectIsUndefined } from '@dark-engine/core';
function styled(strings, ...args) {
  const style = useMemo(() => {
    const style = {};
    const items = strings
      .map((x, idx) => x + (!detectIsUndefined(args[idx]) ? args[idx] : ''))
      .join('')
      .split(';');
    for (const item of items) {
      const [key, value] = item.split(/:(?!\/\/)/);
      if (!value) continue;
      style[key.trim()] = value.trim();
    }
    return style;
  }, [strings, ...args]);
  return style;
}
function useStyle(config) {
  return config(styled);
}
export { useStyle };
//# sourceMappingURL=use-style.js.map
