import type { TagNativeElement } from '../native-element';
export type EventHandler<E extends Event = Event, T = unknown> =
  | ((e: SyntheticEvent<E, T>) => void)
  | [(...args: Array<any>) => void, ...args: Array<any>];
declare class SyntheticEvent<E extends Event, T = TagNativeElement> {
  type: string;
  sourceEvent: E;
  target: T;
  propagation: boolean;
  constructor(options: Pick<SyntheticEvent<E, T>, 'sourceEvent' | 'target'>);
  stopPropagation(): void;
  preventDefault(): void;
  getPropagation(): boolean;
}
declare function delegateEvent(target: Element, eventName: string, handler: EventHandler): void;
declare const detectIsEvent: (attrName: string) => boolean;
declare const getEventName: (attrName: string) => string;
export { SyntheticEvent, delegateEvent, detectIsEvent, getEventName };
